Bug 827913 - [abrt] vino-3.4.2-1.fc17: vino_status_icon_preferences: Process /usr/libexec/vino-server was killed by signal 11 (SIGSEGV)
[abrt] vino-3.4.2-1.fc17: vino_status_icon_preferences: Process /usr/libexec/...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
abrt_hash:c0cab53f81a9069ab50ede50cc1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 12:36 EDT by nskrede
Modified: 2014-06-18 05:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 22:16:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.16 KB, text/plain)
2012-06-03 12:36 EDT, nskrede
no flags Details
File: maps (35.46 KB, text/plain)
2012-06-03 12:36 EDT, nskrede
no flags Details
File: dso_list (7.49 KB, text/plain)
2012-06-03 12:36 EDT, nskrede
no flags Details

  None (edit)
Description nskrede 2012-06-03 12:36:41 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
crash_function: vino_status_icon_preferences
executable:     /usr/libexec/vino-server
kernel:         3.3.7-1.fc17.x86_64
pid:            1570
pwd:            /home/Crash
time:           Sun 03 Jun 2012 11:29:48 AM CDT
uid:            1001
username:       Crash

backtrace:      Text file, 22689 bytes
dso_list:       Text file, 7674 bytes
maps:           Text file, 36310 bytes

build_ids:
:8b33feb27b2125997520fdd21c90c42a65e438f1
:99c23b21038c62b0628b93610fb54c5900c40ffd
:faca16f15d87b83d2947a386e319b02f724dcbb5
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:4c9c864a7c7b7ed702088955821d58137803462d
:b6d75088f555d197be1476cb1c580640826ae029
:249534ba725a62584055a93c041c20047b65f9b7
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:f534feded388130df4a9e789eec1e38c320bc55b
:87712be648d2d43ea4cd002fe7a859df636f1e13
:301bb855a0952a10241e6d7190773fdabf23e383
:3bf2fdd22eec3652e13474e7415167d3fb22babc
:b277af36744327e3d58eae76bcdaadcca71a28c6
:7716bc5c1738194dad6ec6679d05ae3782139288
:8d098f6bb781c1632177cd60d738076b83e0c0d3
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:4d09d82785dab5f95c01b69bc0785145a5954d30
:82cc66a705ac58ff14a50d8d46c8c72279673bf5
:f64b7319b84d426ed547084bdb2577f4f596c18f
:710b0d8cc36603d66327090defd37c99daa38f28
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:e91010b497ec024178c36f4365b21f668bada0ca
:31243d0d107bba586a96433c76c87a26db1e826c
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:6947e315f0765bf884ecc222d91945a1e2ed8767
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:591c7ebbd3f4b573e01caf6e462b01a226faa9cf
:3d60535f052babb998bae4807bc992c5d15df5c4
:253afe744466fe7580bbb6040de6183dba9e2b02
:cbb8a8e0998ebc35f3394e942b5bf90d19d90fc5
:127f8958b602715234a02b88adb08afd9e34c203
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:508cf66f72e70054a41215f80ed2385c6bb80030
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:67792c148d2b8f13f6732c9367e926c26d7376c5
:247132297f287226a24c12e683292f5c94013066
:63651cdc0224824a9c9324c77c3b5887378e871d
:835ece100ae7d8bb3c7f990b52f28ecdeb74975e
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:e3354959e32e471066df83c93f98f33e75198697
:822e9b3523e8312240f41a25722d539bc77ed436
:57daf604bef735ab18319f0436edd52ce4488a17
:73777e822e00ca152ffca281ab0ace0cb498ec48
:404cbecd24d186758ed474b345313da28b2990fa
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d804f8ee47797da9213a92f00cd095ecada8d79f
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:5f038f3fb1b1571769e7c9b79e025fe328052950
:7e1c87b6e36e94ecdd0a3ba2998c3da6191017b8
:7c35310fc506498c612d5d982ab03becc4b4817c
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:8f7c190397d7c1f617e66f18f759714662b60367
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:4b044fe80e4c1b69986abc4b160c303048005d4e
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:54a5cc118d928470da13565de8592b664a9868e0
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:1d4df97fa6024b097b634a272447243c95c26d85
:1a0c09f270adf8398df4362ce0acfafc1f970982
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:130699b76d99d57ef46beeed9d693005f3c8917f
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:785daa1816e99b7da8df42206e96c9d9f5eeeb9d
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/Crash/4

core_backtrace:
:785daa1816e99b7da8df42206e96c9d9f5eeeb9d 0x14509 - [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x1fa71e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17acc9 - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a2d0e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x178d96 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17a9a3 gtk_main_do_event libgtk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x48e62 - libgdk-3.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:785daa1816e99b7da8df42206e96c9d9f5eeeb9d 0xb46b - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=4
:HOSTNAME=crashserv
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/Crash/keyring-RkqOXn
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=Crash
:USERNAME=Crash
:MAIL=/var/spool/mail/Crash
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/Crash/.local/bin:/home/Crash/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/Crash
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1256
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/Crash
:SHLVL=1
:LOGNAME=Crash
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-gJlDC44IQG,guid=46a3a0778bd15ed21da6f71b0000190e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/Crash
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-Crash-cSWxUG/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1260,unix/unix:/tmp/.ICE-unix/1260
:SSH_AUTH_SOCK=/run/user/Crash/keyring-RkqOXn/ssh
:GPG_AGENT_INFO=/run/user/Crash/keyring-RkqOXn/gpg:0:1
:DESKTOP_AUTOSTART_ID=1028ba5465854b4da13386639063367900000012600024

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63740                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63740                63740                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/Crash/.xsession-errors
:pos:	5198
:flags:	0102002
:2:/home/Crash/.xsession-errors
:pos:	5198
:flags:	0102002
:3:socket:[21992]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[21997]
:pos:	0
:flags:	02004002
:6:socket:[22000]
:pos:	0
:flags:	02000002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[21349]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:socket:[21351]
:pos:	0
:flags:	02004002
:12:/dev/urandom
:pos:	0
:flags:	02100000
:13:socket:[21368]
:pos:	0
:flags:	02000002
:14:socket:[22196]
:pos:	0
:flags:	02
:15:socket:[22197]
:pos:	0
:flags:	02
:16:socket:[22198]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: e35d6fc4-ecf1-4313-afbb-35854192f8bc
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6011.62
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E6850  @ 3.00GHz
:CPU Stepping: 11
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2997
:System Memory: 7986
:System Swap: 10047
:Vendor: System manufacturer
:System: P5K Deluxe System Version
:Form factor: Desktop
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10688:4163:33429) pci, None, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10689:4163:33429) pci, pcieport, PCI/PCI, 82G33/G31/P35/P31 Express PCI Express Root Port
:(32902:10544:4163:33399) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10528:4163:33399) pci, ata_piix, STORAGE, 82801IR/IO/IH (ICH9R/DO/DH) 4 port SATA IDE Controller
:(32902:10518:4163:33399) pci, None, PCI/ISA, 82801IR (ICH9R) LPC Interface Controller
:(32902:10534:4163:33399) pci, ata_piix, STORAGE, 82801I (ICH9 Family) 2 port SATA IDE Controller
:(4332:33127:4163:33293) pci, r8169, ETHERNET, RTL-8110SC/8169SC Gigabit Ethernet
:(32902:9294:4163:33399) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10549:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4163:33399) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4163:33399) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(6523:9059:4163:33359) pci, pata_jmicron, STORAGE, JMB362/JMB363 Serial ATA Controller
:(6523:9059:4163:33359) pci, ahci, STORAGE, JMB362/JMB363 Serial ATA Controller
:(32902:10560:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10568:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4163:33399) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:38081:4136:3330) pci, radeon, VIDEO, Optiplex 755
:(32902:10570:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(4523:17252:4163:33272) pci, sky2, ETHERNET, 88E8056 PCI-E Gigabit Ethernet Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_crashserv-lv_root / ext4 4096 4096 13092026 11968404 11837354 3276800 3149102 3149102
:/dev/sda1 /boot ext4 1024 1024 508745 423929 398329 128016 127660 127660
:/dev/mapper/vg_crashserv-lv_home /home ext4 4096 4096 23221062 22822977 21660123 5816320 5815755 5815755
:

var_log_messages:
:Jun  3 11:29:48 crashserv kernel: [17041.445393] vino-server[1570]: segfault at 8 ip 0000000000414509 sp 00007fff370aa0d0 error 4 in vino-server[400000+41000]
:Jun  3 11:29:48 crashserv abrt[2368]: Saved core dump of pid 1570 (/usr/libexec/vino-server) to /var/spool/abrt/ccpp-2012-06-03-11:29:48-1570 (30502912 bytes)

xsession_errors:
:(vino-server:1570): EggSMClient-CRITICAL **: egg_sm_client_set_mode: assertion `global_client == NULL || global_client_mode == EGG_SM_CLIENT_MODE_DISABLED' failed
:** (vino-server:1570): WARNING **: server/vino-server.c:1200: invalid property id 18 for "notify-on-connect" of type `GParamBoolean' in `VinoServer'
:(vino-server:1570): GdkPixbuf-CRITICAL **: gdk_pixbuf_scale_simple: assertion `dest_width > 0' failed
:(vino-server:1570): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
:(vino-server:1570): Gdk-CRITICAL **: gdk_window_thaw_toplevel_updates_libgtk_only: assertion `window->update_and_descendants_freeze_count > 0' failed
:(vino-server:1570): GLib-GIO-CRITICAL **: g_app_info_launch: assertion `G_IS_APP_INFO (appinfo)' failed
:(vino-server:2370): EggSMClient-CRITICAL **: egg_sm_client_set_mode: assertion `global_client == NULL || global_client_mode == EGG_SM_CLIENT_MODE_DISABLED' failed
:** (vino-server:2370): WARNING **: server/vino-server.c:1200: invalid property id 18 for "notify-on-connect" of type `GParamBoolean' in `VinoServer'
:(vino-server:2370): GdkPixbuf-CRITICAL **: gdk_pixbuf_scale_simple: assertion `dest_width > 0' failed
:(vino-server:2370): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
:(vino-server:2370): GLib-GIO-CRITICAL **: g_app_info_launch: assertion `G_IS_APP_INFO (appinfo)' failed
:gnome-session[1260]: WARNING: App 'vino-server.desktop' respawning too quickly
:gnome-session[1260]: WARNING: Error on restarting session managed app: Component 'vino-server.desktop' crashing too quickly
Comment 1 nskrede 2012-06-03 12:36:47 EDT
Created attachment 588892 [details]
File: backtrace
Comment 2 nskrede 2012-06-03 12:36:49 EDT
Created attachment 588893 [details]
File: maps
Comment 3 nskrede 2012-06-03 12:36:57 EDT
Created attachment 588894 [details]
File: dso_list
Comment 4 patrick korsnick 2012-06-03 16:04:11 EDT
clicked on Desktop Sharing icon in tray. this is the 3rd machine to exhibit this problem- 2 of them were 32bit machines and 1 64bit machine. 1 opensource ATI driver machine, 1 nVidia binary machine, 1 nvidia nouveau machine.

backtrace_rating: 4
Package: vino-3.4.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 nskrede 2012-06-04 17:58:07 EDT
Now tried with a Fedora live USB w/persistence, 32bit machine with on-board intel graphics and had the same issue.
Comment 6 Owen 2012-07-13 08:32:32 EDT
Desktop Sharing icon keeps appearing in the notification area (despite the fact I only used it once, briefly, a few days ago and do not need to use it again). 
When I click on it I get this crash.


backtrace_rating: 4
Package: vino-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Fedora Update System 2012-12-02 22:07:24 EST
vino-3.4.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/vino-3.4.2-2.fc17
Comment 8 Fedora Update System 2012-12-02 22:49:08 EST
vino-3.6.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/vino-3.6.2-2.fc18
Comment 9 Fedora Update System 2012-12-03 16:34:40 EST
Package vino-3.6.2-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vino-3.6.2-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19567/vino-3.6.2-2.fc18
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-12-19 22:16:08 EST
vino-3.4.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-01-11 19:43:26 EST
vino-3.6.2-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.